"""Entity matching modules for pattern detection and classification.

Description:
    This subpackage contains various matching algorithms and utilities for
    detecting different types of entities in text, including regex patterns,
    dictionary lookups, and custom validation functions.

Submodules:
    functions: Utility functions for entity validation
    regex: Regular expression patterns for entity detection
    lists: List-based patterns and collections
    dicts: Dictionary data files for known entities

Author:
    LLMShield by brainpolo, 2025
"""
